This Blog demonstrates the recently discovered ShellShock Vulnerability (CVE-2014-6271).

GNU Bash Remote Code Execution Vulnerability in Unix/Linux Environment – Which allows an attacker to gain control over a target computer if exploited successfully. This demonstration is successfully exploited by using Kali Linux.